module Easy
  module Resources
    module Adam
      class TaskExecutionCommand < ::Easy::Resource

        belongs_to :task_execution, class_name: 'Easy::Resources::Adam::TaskExecution'

        self.element_name         = "task_execution_command"
        self.include_root_in_json = true

        def error?
          error.present?
        end

        def error
          return nil if !self.output_params || self.output_params.attributes["error"].blank?

          "#{self.output_params.attributes["error"].attributes["class"]}: #{self.output_params.attributes["error"].attributes["message"]}"
        end

        def status_scheduled?
          self.status == "scheduled"
        end

        def status_running?
          self.status == "running"
        end

        def status_failed?
          self.status == "failed"
        end

        def status_ok?
          self.status == "ok"
        end

      end
    end
  end
end
