module Easy
  module Resources
    module Adam
      class WebApplication < ::Easy::Resource

        self.element_name         = "web_application"
        self.include_root_in_json = true

        belongs_to :server, class_name: 'Easy::Resources::Adam::Server'
        has_many :task_executions, class_name: 'Easy::Resources::Adam::TaskExecution'

        def self.find_by_guid(guid)
          first(params: { w: "guid|=|#{guid}" })
        end

        def self.find_by_name(name)
          first(params: { w: "name|=|#{name}" })
        end

      end
    end
  end
end
